Index: trunk/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 1601)
@@ -33,5 +33,5 @@
    PUBLIC   tra_qsr        ! routine called by step.F90 (ln_traqsr=T)
 
-   !                                           !!* Namelist namqsr: penetrative solar radiation
+   !                                           !!* Namelist namtra_qsr: penetrative solar radiation
    LOGICAL , PUBLIC ::   ln_traqsr  = .TRUE.    !: light absorption (qsr) flag
    LOGICAL , PUBLIC ::   ln_qsr_rgb = .FALSE.   !: Red-Green-Blue light absorption flag  
@@ -220,5 +220,5 @@
       !! ** Method  :   The profile of solar radiation within the ocean is set
       !!      from two length scale of penetration (rn_si0,rn_si1) and a ratio
-      !!      (rn_abs). These parameters are read in the namqsr namelist. The
+      !!      (rn_abs). These parameters are read in the namtra_qsr namelist. The
       !!      default values correspond to clear water (type I in Jerlov' 
       !!      (1968) classification.
@@ -240,6 +240,6 @@
       CHARACTER(len=100) ::   cn_dir   ! Root directory for location of ssr files
       TYPE(FLD_N)        ::   sn_chl   ! informations about the chlorofyl field to be read
-      NAMELIST/namqsr/  sn_chl, cn_dir, ln_traqsr, ln_qsr_rgb, ln_qsr_2bd, ln_qsr_bio,   &
-         &              nn_chldta, rn_abs, rn_si0, rn_si1, rn_si2
+      NAMELIST/namtra_qsr/  sn_chl, cn_dir, ln_traqsr, ln_qsr_rgb, ln_qsr_2bd, ln_qsr_bio,   &
+         &                  nn_chldta, rn_abs, rn_si0, rn_si1, rn_si2
       !!----------------------------------------------------------------------
 
@@ -250,6 +250,6 @@
       sn_chl = FLD_N( 'chlorophyll' ,    -1     ,  'CHLA'    ,  .true.     , .true.  ,   'yearly'  , ''       , ''         )
       !
-      REWIND( numnam )            ! Read Namelist namqsr : ratio and length of penetration
-      READ  ( numnam, namqsr )
+      REWIND( numnam )            ! Read Namelist namtra_qsr : ratio and length of penetration
+      READ  ( numnam, namtra_qsr )
       !
       IF(lwp) THEN                ! control print
@@ -257,21 +257,21 @@
          WRITE(numout,*) 'tra_qsr_init : penetration of the surface solar radiation'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '    Namelist namqsr : set the parameter of penetration'
-         WRITE(numout,*) '        Light penetration (T) or not (F)         ln_traqsr  = ', ln_traqsr
-         WRITE(numout,*) '        RGB (Red-Green-Blue) light penetration   ln_qsr_rgb = ', ln_qsr_rgb
-         WRITE(numout,*) '        2 band               light penetration   ln_qsr_2bd = ', ln_qsr_2bd
-         WRITE(numout,*) '        bio-model            light penetration   ln_qsr_bio = ', ln_qsr_bio
-         WRITE(numout,*) '        RGB : Chl data (=1) or cst value (=0)    nn_chldta  = ', nn_chldta
-         WRITE(numout,*) '        RGB & 2 bands: fraction of light (rn_si1)    rn_abs = ', rn_abs
-         WRITE(numout,*) '        RGB & 2 bands: shortess depth of extinction  rn_si0 = ', rn_si0
-         WRITE(numout,*) '        2 bands: longest depth of extinction         rn_si1 = ', rn_si1
-         WRITE(numout,*) '        3 bands: longest depth of extinction         rn_si2 = ', rn_si2
+         WRITE(numout,*) '   Namelist namtra_qsr : set the parameter of penetration'
+         WRITE(numout,*) '      Light penetration (T) or not (F)         ln_traqsr  = ', ln_traqsr
+         WRITE(numout,*) '      RGB (Red-Green-Blue) light penetration   ln_qsr_rgb = ', ln_qsr_rgb
+         WRITE(numout,*) '      2 band               light penetration   ln_qsr_2bd = ', ln_qsr_2bd
+         WRITE(numout,*) '      bio-model            light penetration   ln_qsr_bio = ', ln_qsr_bio
+         WRITE(numout,*) '      RGB : Chl data (=1) or cst value (=0)    nn_chldta  = ', nn_chldta
+         WRITE(numout,*) '      RGB & 2 bands: fraction of light (rn_si1)    rn_abs = ', rn_abs
+         WRITE(numout,*) '      RGB & 2 bands: shortess depth of extinction  rn_si0 = ', rn_si0
+         WRITE(numout,*) '      2 bands: longest depth of extinction         rn_si1 = ', rn_si1
+         WRITE(numout,*) '      3 bands: longest depth of extinction         rn_si2 = ', rn_si2
       ENDIF
 
       IF( ln_traqsr ) THEN     ! control consistency
          !                      
-         IF( .NOT. lk_qsr_bio  ) THEN 
+         IF( .NOT.lk_qsr_bio .AND. ln_qsr_bio )   THEN
+            CALL ctl_warn( 'No bio model : force ln_qsr_bio = FALSE ' )
             ln_qsr_bio = .FALSE.
-            CALL ctl_warn( 'No bio model ;  force bio-model light penetration ln_qsr_bio  = FALSE ' )
          ENDIF
          !
@@ -286,5 +286,5 @@
             ln_qsr_2bd = .FALSE.
             ln_qsr_bio = .FALSE.
-            CALL ctl_warn( '          Choose ONE type of light penetration in namelist namqsr',   &
+            CALL ctl_warn( '          Choose ONE type of light penetration in namelist namtra_qsr',   &
            &               ' otherwise, we force the model to run with RGB light penetration' )
          ENDIF
@@ -335,5 +335,5 @@
                !                                        ! fill sf_chl with sn_chl and control print
                CALL fld_fill( sf_chl, (/ sn_chl /), cn_dir, 'tra_qsr_init',   &
-                  &                                         'Solar penetration function of read chlorophyll', 'namqsr' )
+                  &                                         'Solar penetration function of read chlorophyll', 'namtra_qsr' )
                !
             ELSE                                !* constant Chl : compute once for all the distribution of light (etot3)
Index: trunk/NEMO/OPA_SRC/TRD/trdicp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdicp.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRD/trdicp.F90	(revision 1601)
@@ -60,5 +60,5 @@
       !! 
       !! ** Purpose : verify the basin averaged properties of tracers and/or
-      !!              momentum equations at every time step frequency ntrd.
+      !!              momentum equations at every time step frequency nn_trd.
       !!----------------------------------------------------------------------
       REAL(wp), DIMENSION(jpi,jpj), INTENT(inout) ::   ptrd2dx             ! Temperature or U trend 
@@ -186,5 +186,5 @@
       !! 
       !! ** Purpose : verify the basin averaged properties of tracers and/or
-      !!              momentum equations at every time step frequency ntrd.
+      !!              momentum equations at every time step frequency nn_trd.
       !!----------------------------------------------------------------------
       REAL(wp), DIMENSION(jpi,jpj,jpk), INTENT(inout) ::   ptrd3dx            ! Temperature or U trend 
@@ -386,5 +386,5 @@
       ! -------------------
 
-      IF( MOD(kt,ntrd) == 0 .OR. kt == nit000 .OR. kt == nitend ) THEN
+      IF( MOD(kt,nn_trd) == 0 .OR. kt == nit000 .OR. kt == nitend ) THEN
 
          ! I.1 Conversion potential energy - kinetic energy
@@ -588,5 +588,5 @@
       ! -----------------
 
-      IF( MOD(kt,ntrd) == 0 .OR. kt == nit000 .OR. kt == nitend ) THEN
+      IF( MOD(kt,nn_trd) == 0 .OR. kt == nit000 .OR. kt == nitend ) THEN
 
          ! I.1 Sums over the global domain
Index: trunk/NEMO/OPA_SRC/TRD/trdicp_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdicp_oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRD/trdicp_oce.F90	(revision 1601)
@@ -14,5 +14,4 @@
    PUBLIC
 
-   !! * Shared module variables
 #if  defined key_trdtra   &&   defined key_trddyn    ||   defined key_esopa
    LOGICAL, PARAMETER ::   lk_trdtra = .TRUE.    !: tracers  trend flag
@@ -29,41 +28,37 @@
 #endif
 
-   !! Tracers trends diagnostics parameters
-   !!---------------------------------------------------------------------
-   INTEGER, PARAMETER ::   &  !: => tracer trends indexes <=
-        jpicpt_xad =  1,   &  !: x- horizontal advection
-        jpicpt_yad =  2,   &  !: y- horizontal advection
-        jpicpt_zad =  3,   &  !: z- vertical   advection
-        jpicpt_ldf =  4,   &  !: lateral       diffusion
-        jpicpt_zdf =  5,   &  !: vertical diffusion (Kz)
-        jpicpt_bbc =  6,   &  !: Bottom Boundary Condition (geoth. flux) 
-        jpicpt_bbl =  7,   &  !: Bottom Boundary Layer (diffusive/convective)
-        jpicpt_npc =  8,   &  !: static instability mixing
-        jpicpt_dmp =  9,   &  !: damping
-        jpicpt_qsr = 10,   &  !: penetrative solar radiation
-        jpicpt_nsr = 11,   &  !: non solar radiation
-        jpicpt_zl1 = 12       !: first level vertical flux
+   !                                        !!! => tracer trends indexes <=
+   INTEGER, PARAMETER ::   jpicpt_xad =  1   !: x- horizontal advection
+   INTEGER, PARAMETER ::   jpicpt_yad =  2   !: y- horizontal advection
+   INTEGER, PARAMETER ::   jpicpt_zad =  3   !: z- vertical   advection
+   INTEGER, PARAMETER ::   jpicpt_ldf =  4   !: lateral       diffusion
+   INTEGER, PARAMETER ::   jpicpt_zdf =  5   !: vertical diffusion (Kz)
+   INTEGER, PARAMETER ::   jpicpt_bbc =  6   !: Bottom Boundary Condition (geoth. flux) 
+   INTEGER, PARAMETER ::   jpicpt_bbl =  7   !: Bottom Boundary Layer (diffusive/convective)
+   INTEGER, PARAMETER ::   jpicpt_npc =  8   !: static instability mixing
+   INTEGER, PARAMETER ::   jpicpt_dmp =  9   !: damping
+   INTEGER, PARAMETER ::   jpicpt_qsr = 10   !: penetrative solar radiation
+   INTEGER, PARAMETER ::   jpicpt_nsr = 11   !: non solar radiation
+   INTEGER, PARAMETER ::   jpicpt_zl1 = 12   !: first level vertical flux
 
-   INTEGER, PARAMETER ::   &  !: => Total tracer trends indexes <=
-        jptot_tra = 12        !: change it when adding/removing one indice above
+   !                                        !!! => Total tracer trends indexes <=
+   INTEGER, PARAMETER ::   jptot_tra  = 12   !: change it when adding/removing one indice above
    
-   !! Momentum trends diagnostics parameters
-   !!---------------------------------------------------------------------
-   INTEGER, PARAMETER ::   &  !: => dynamic trends indexes <=
-        jpicpd_hpg =  1,   &  !: hydrostatic pressure gradient 
-        jpicpd_keg =  2,   &  !: kinetic energy gradient
-        jpicpd_rvo =  3,   &  !: relative vorticity
-        jpicpd_pvo =  4,   &  !: planetary vorticity
-        jpicpd_ldf =  5,   &  !: lateral diffusion
-        jpicpd_had =  6,   &  !: horizontal advection
-        jpicpd_zad =  7,   &  !: vertical advection
-        jpicpd_zdf =  8,   &  !: vertical diffusion
-        jpicpd_spg =  9,   &  !: surface pressure gradient
-        jpicpd_dat = 10,   &  !: damping term
-        jpicpd_swf = 11,   &  !: surface wind forcing
-        jpicpd_bfr = 12       !: bottom friction 
+   !                                        !!! => dynamic trends indexes <=
+   INTEGER, PARAMETER ::   jpicpd_hpg =  1   !: hydrostatic pressure gradient 
+   INTEGER, PARAMETER ::   jpicpd_keg =  2   !: kinetic energy gradient
+   INTEGER, PARAMETER ::   jpicpd_rvo =  3   !: relative vorticity
+   INTEGER, PARAMETER ::   jpicpd_pvo =  4   !: planetary vorticity
+   INTEGER, PARAMETER ::   jpicpd_ldf =  5   !: lateral diffusion
+   INTEGER, PARAMETER ::   jpicpd_had =  6   !: horizontal advection
+   INTEGER, PARAMETER ::   jpicpd_zad =  7   !: vertical advection
+   INTEGER, PARAMETER ::   jpicpd_zdf =  8   !: vertical diffusion
+   INTEGER, PARAMETER ::   jpicpd_spg =  9   !: surface pressure gradient
+   INTEGER, PARAMETER ::   jpicpd_dat = 10   !: damping term
+   INTEGER, PARAMETER ::   jpicpd_swf = 11   !: surface wind forcing
+   INTEGER, PARAMETER ::   jpicpd_bfr = 12   !: bottom friction 
 
-   INTEGER, PARAMETER ::   &  !: => Total dynamic trends indexes <=
-        jptot_dyn = 12        !: change it when adding/removing one indice above
+   !                                        !!! => Total dynamic trends indexes <=
+   INTEGER, PARAMETER ::   jptot_dyn  = 12   !: change it when adding/removing one indice above
    
 #if   defined key_trdtra   ||   defined key_trddyn   ||   defined key_esopa
@@ -89,5 +84,5 @@
 #endif
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
Index: trunk/NEMO/OPA_SRC/TRD/trdmld.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdmld.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRD/trdmld.F90	(revision 1601)
@@ -75,8 +75,8 @@
       !!      The control surface can be either a mixed layer depth (time varying)
       !!      or a fixed surface (jk level or bowl). 
-      !!      Choose control surface with nctls in namelist NAMTRD :
-      !!        nctls = 0  : use mixed layer with density criterion 
-      !!        nctls = 1  : read index from file 'ctlsurf_idx'
-      !!        nctls > 1  : use fixed level surface jk = nctls
+      !!      Choose control surface with nn_ctls in namelist NAMTRD :
+      !!        nn_ctls = 0  : use mixed layer with density criterion 
+      !!        nn_ctls = 1  : read index from file 'ctlsurf_idx'
+      !!        nn_ctls > 1  : use fixed level surface jk = nn_ctls
       !!      Note: in the remainder of the routine, the volume between the 
       !!            surface and the control surface is called "mixed-layer"
@@ -100,11 +100,11 @@
          
          ! ... Set nmld(ji,jj) = index of first T point below control surf. or outside mixed-layer
-         IF( nctls == 0 ) THEN       ! * control surface = mixed-layer with density criterion 
+         IF( nn_ctls == 0 ) THEN       ! * control surface = mixed-layer with density criterion 
             nmld(:,:) = nmln(:,:)    ! array nmln computed in zdfmxl.F90
-         ELSE IF( nctls == 1 ) THEN  ! * control surface = read index from file 
+         ELSE IF( nn_ctls == 1 ) THEN  ! * control surface = read index from file 
             nmld(:,:) = nbol(:,:)
-         ELSE IF( nctls >= 2 ) THEN  ! * control surface = model level
-            nctls = MIN( nctls, jpktrd - 1 )
-            nmld(:,:) = nctls + 1
+         ELSE IF( nn_ctls >= 2 ) THEN  ! * control surface = model level
+            nn_ctls = MIN( nn_ctls, jpktrd - 1 )
+            nmld(:,:) = nn_ctls + 1
          ENDIF
 
@@ -193,5 +193,5 @@
       !!          1) to explain the difference between initial and final 
       !!             mixed-layer T & S (where initial and final relate to the
-      !!             current analysis window, defined by ntrd in the namelist)
+      !!             current analysis window, defined by nn_trd in the namelist)
       !!          2) to explain the difference between the current and previous 
       !!             TIME-AVERAGED mixed-layer T & S (where time-averaging is
@@ -199,9 +199,9 @@
       !!
       !! ** Consistency check : 
-      !!        If the control surface is fixed ( nctls > 1 ), the residual term (dh/dt
+      !!        If the control surface is fixed ( nn_ctls > 1 ), the residual term (dh/dt
       !!        entrainment) should be zero, at machine accuracy. Note that in the case
       !!        of time-averaged mixed-layer fields, this residual WILL NOT BE ZERO
       !!        over the first two analysis windows (except if restart).
-      !!        N.B. For ORCA2_LIM, use e.g. ntrd=5, ucf=1., nctls=8
+      !!        N.B. For ORCA2_LIM, use e.g. nn_trd=5, rn_ucf=1., nn_ctls=8
       !!             for checking residuals.
       !!             On a NEC-SX5 computer, this typically leads to:
@@ -351,5 +351,5 @@
       !
       !     o---[--o-----o-----o-----o--]-[--o-----o-----o-----o-----o--]---o-----o--> time steps
-      !                            ntrd                             2*ntrd       etc.
+      !                          nn_trd                           2*nn_trd       etc.
       !     1      2     3     4    =5 e.g.                          =10
       !
@@ -386,6 +386,6 @@
       ! N.B. It may be useful to check IOIPSL time averaging with :
       !      tmltrd (:,:,:) = 1. ; smltrd (:,:,:) = 1.
-      tmltrd(:,:,:) = tmltrd(:,:,:) * ucf   ! (actually needed for 1:jpltrd-1, but trdmld(:,:,jpltrd)
-      smltrd(:,:,:) = smltrd(:,:,:) * ucf   !  is no longer used, and is reset to 0. at next time step)
+      tmltrd(:,:,:) = tmltrd(:,:,:) * rn_ucf   ! (actually needed for 1:jpltrd-1, but trdmld(:,:,jpltrd)
+      smltrd(:,:,:) = smltrd(:,:,:) * rn_ucf   !  is no longer used, and is reset to 0. at next time step)
       
       ! define time axis
@@ -393,5 +393,5 @@
       itmod = kt - nit000 + 1
 
-      MODULO_NTRD : IF( MOD( itmod, ntrd ) == 0 ) THEN        ! nitend MUST be multiple of ntrd
+      MODULO_NTRD : IF( MOD( itmod, nn_trd ) == 0 ) THEN        ! nitend MUST be multiple of nn_trd
          !
          ztmltot (:,:) = 0.e0   ;   zsmltot (:,:) = 0.e0   ! reset arrays to zero
@@ -519,13 +519,13 @@
 
          !    ... temperature ...                         ... salinity ...
-         ztmltot (:,:)   = ztmltot(:,:)   * ucf/zfn  ; zsmltot (:,:)   = zsmltot(:,:)   * ucf/zfn
-         ztmlres (:,:)   = ztmlres(:,:)   * ucf/zfn  ; zsmlres (:,:)   = zsmlres(:,:)   * ucf/zfn
-         ztmlatf (:,:)   = ztmlatf(:,:)   * ucf/zfn  ; zsmlatf (:,:)   = zsmlatf(:,:)   * ucf/zfn
+         ztmltot (:,:)   = ztmltot(:,:)   * rn_ucf/zfn  ; zsmltot (:,:)   = zsmltot(:,:)   * rn_ucf/zfn
+         ztmlres (:,:)   = ztmlres(:,:)   * rn_ucf/zfn  ; zsmlres (:,:)   = zsmlres(:,:)   * rn_ucf/zfn
+         ztmlatf (:,:)   = ztmlatf(:,:)   * rn_ucf/zfn  ; zsmlatf (:,:)   = zsmlatf(:,:)   * rn_ucf/zfn
 
          tml_sum (:,:)   = tml_sum (:,:)  /  (2*zfn) ; sml_sum (:,:)   = sml_sum (:,:)  /  (2*zfn)
-         ztmltot2(:,:)   = ztmltot2(:,:)  * ucf/zfn2 ; zsmltot2(:,:)   = zsmltot2(:,:)  * ucf/zfn2
-         ztmltrd2(:,:,:) = ztmltrd2(:,:,:)* ucf/zfn2 ; zsmltrd2(:,:,:) = zsmltrd2(:,:,:)* ucf/zfn2
-         ztmlatf2(:,:)   = ztmlatf2(:,:)  * ucf/zfn2 ; zsmlatf2(:,:)   = zsmlatf2(:,:)  * ucf/zfn2
-         ztmlres2(:,:)   = ztmlres2(:,:)  * ucf/zfn2 ; zsmlres2(:,:)   = zsmlres2(:,:)  * ucf/zfn2
+         ztmltot2(:,:)   = ztmltot2(:,:)  * rn_ucf/zfn2 ; zsmltot2(:,:)   = zsmltot2(:,:)  * rn_ucf/zfn2
+         ztmltrd2(:,:,:) = ztmltrd2(:,:,:)* rn_ucf/zfn2 ; zsmltrd2(:,:,:) = zsmltrd2(:,:,:)* rn_ucf/zfn2
+         ztmlatf2(:,:)   = ztmlatf2(:,:)  * rn_ucf/zfn2 ; zsmlatf2(:,:)   = zsmlatf2(:,:)  * rn_ucf/zfn2
+         ztmlres2(:,:)   = ztmlres2(:,:)  * rn_ucf/zfn2 ; zsmlres2(:,:)   = zsmlres2(:,:)  * rn_ucf/zfn2
 
          rmld_sum(:,:)   = rmld_sum(:,:)  /  (2*zfn)  ! similar to tml_sum and sml_sum
@@ -578,10 +578,10 @@
 #if defined key_dimgout
 
-      IF( MOD( itmod, ntrd ) == 0 ) THEN
+      IF( MOD( itmod, nn_trd ) == 0 ) THEN
          iyear =  ndastp/10000
          imon  = (ndastp-iyear*10000)/100
          iday  =  ndastp - imon*100 - iyear*10000
          WRITE(clname,9000) TRIM(cexper),'MLDiags',iyear,imon,iday
-         WRITE(clmode,'(f5.1,a)') ntrd*rdt/86400.,' days average'
+         WRITE(clmode,'(f5.1,a)') nn_trd*rdt/86400.,' days average'
          cltext = TRIM(cexper)//' mld diags'//TRIM(clmode)
          CALL dia_wri_dimg (clname, cltext, smltrd, jpltrd, '2')
@@ -595,5 +595,5 @@
       ! ----------------------------------
 
-      IF( lwp .AND. MOD( itmod , ntrd ) == 0 ) THEN
+      IF( lwp .AND. MOD( itmod , nn_trd ) == 0 ) THEN
          WRITE(numout,*) ' '
          WRITE(numout,*) 'trd_mld : write trends in the NetCDF file :'
@@ -685,5 +685,5 @@
 #endif
 
-      IF( MOD( itmod, ntrd ) == 0 ) THEN
+      IF( MOD( itmod, nn_trd ) == 0 ) THEN
          !
          ! III.5 Reset cumulative arrays to zero
@@ -744,9 +744,9 @@
       ! -------------------------------------------------
 
-      IF( ( lk_trdmld ) .AND. ( MOD( nitend, ntrd ) /= 0 ) ) THEN
+      IF( ( lk_trdmld ) .AND. ( MOD( nitend, nn_trd ) /= 0 ) ) THEN
          WRITE(numout,cform_err)
          WRITE(numout,*) '                Your nitend parameter, nitend = ', nitend
          WRITE(numout,*) '                is no multiple of the trends diagnostics frequency        '
-         WRITE(numout,*) '                          you defined, ntrd   = ', ntrd
+         WRITE(numout,*) '                          you defined, nn_trd   = ', nn_trd
          WRITE(numout,*) '                This will not allow you to restart from this simulation.  '
          WRITE(numout,*) '                You should reconsider this choice.                        ' 
@@ -797,5 +797,5 @@
       ! ----------------------------------------------
  
-      IF( nctls == 1 ) THEN
+      IF( nn_ctls == 1 ) THEN
          CALL ctl_opn( numbol, 'ctlsurf_idx', 'OLD', 'UNFORMATTED', 'SEQUENTIAL', -1, numout, lwp )
          READ ( numbol ) nbol
@@ -811,10 +811,10 @@
 #else
       ! clmxl = legend root for netCDF output
-      IF( nctls == 0 ) THEN      ! control surface = mixed-layer with density criterion
+      IF( nn_ctls == 0 ) THEN      ! control surface = mixed-layer with density criterion
          clmxl = 'Mixed Layer '  !                   (array nmln computed in zdfmxl.F90)
-      ELSE IF( nctls == 1 ) THEN ! control surface = read index from file 
+      ELSE IF( nn_ctls == 1 ) THEN ! control surface = read index from file 
          clmxl = '      Bowl '
-      ELSE IF( nctls >= 2 ) THEN ! control surface = model level
-         WRITE(clmxl,'(A10,I2,1X)') 'Levels 1 -', nctls
+      ELSE IF( nn_ctls >= 2 ) THEN ! control surface = model level
+         WRITE(clmxl,'(A10,I2,1X)') 'Levels 1 -', nn_ctls
       END IF
 
@@ -828,5 +828,5 @@
          CALL ctl_stop( 'trd_mld : this was never checked. Comment this line to proceed...' )
       END IF
-      zsto = ntrd * rdt
+      zsto = nn_trd * rdt
       clop = "inst("//TRIM(clop)//")"
 #  else
@@ -834,9 +834,9 @@
          zsto = rdt                 ! inst. diags : we use IOIPSL time averaging
       ELSE
-         zsto = ntrd * rdt          ! mean  diags : we DO NOT use any IOIPSL time averaging
+         zsto = nn_trd * rdt          ! mean  diags : we DO NOT use any IOIPSL time averaging
       END IF
       clop = "ave("//TRIM(clop)//")"
 #  endif
-      zout = ntrd * rdt
+      zout = nn_trd * rdt
 
       IF(lwp) WRITE (numout,*) '                netCDF initialization'
@@ -870,5 +870,5 @@
                                                                   
       !-- Create a NetCDF file and enter the define mode 
-      CALL dia_nam( clhstnam, ntrd, 'trends' )
+      CALL dia_nam( clhstnam, nn_trd, 'trends' )
       IF(lwp) WRITE(numout,*) ' Name of NETCDF file ', clhstnam
       CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,                                            &
@@ -880,11 +880,9 @@
 
       !-- Define physical units
-      IF( ucf == 1. ) THEN
-         cltu = "degC/s"     ;   clsu = "p.s.u./s"
-      ELSEIF ( ucf == 3600.*24.) THEN
-         cltu = "degC/day"   ;   clsu = "p.s.u./day"
-      ELSE
-         cltu = "unknown?"   ;   clsu = "unknown?"
-      END IF
+      IF     ( rn_ucf == 1.       ) THEN   ;   cltu = "degC/s"     ;   clsu = "p.s.u./s"
+      ELSEIF ( rn_ucf == 3600.*24.) THEN   ;   cltu = "degC/day"   ;   clsu = "p.s.u./day"
+      ELSE                                 ;   cltu = "unknown?"   ;   clsu = "unknown?"
+      END IF
+
 
       !-- Define miscellaneous T and S mixed-layer variables 
Index: trunk/NEMO/OPA_SRC/TRD/trdmod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 1601)
@@ -80,5 +80,5 @@
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 
-      IF( ( mod(kt,ntrd) == 0 .OR. kt == nit000 .OR. kt == nitend) )   THEN
+      IF( ( mod(kt,nn_trd) == 0 .OR. kt == nit000 .OR. kt == nitend) )   THEN
          !
          IF( lk_trdtra .AND. ctype == 'TRA' )   THEN       ! active tracer trends
@@ -281,5 +281,5 @@
       USE in_out_manager          ! I/O manager
 
-      NAMELIST/namtrd/ ntrd, nctls, cn_trdrst_in, cn_trdrst_out, ln_trdmld_restart, ucf, ln_trdmld_instant
+      NAMELIST/namtrd/ nn_trd, nn_ctls, cn_trdrst_in, cn_trdrst_out, ln_trdmld_restart, rn_ucf, ln_trdmld_instant
       !!----------------------------------------------------------------------
 
@@ -292,10 +292,10 @@
             WRITE(numout,*) ' trd_mod_init : Momentum/Tracers trends'
             WRITE(numout,*) ' ~~~~~~~~~~~~~'
-            WRITE(numout,*) '       Namelist namtrd : set trends parameters'
-            WRITE(numout,*) '           * frequency of trends diagnostics   ntrd               = ', ntrd
-            WRITE(numout,*) '           * control surface type              nctls              = ', nctls
-            WRITE(numout,*) '           * restart for ML diagnostics        ln_trdmld_restart  = ', ln_trdmld_restart
-            WRITE(numout,*) '           * instantaneous or mean ML T/S      ln_trdmld_instant  = ', ln_trdmld_instant
-            WRITE(numout,*) '           * unit conversion factor            ucf                = ', ucf
+            WRITE(numout,*) '   Namelist namtrd : set trends parameters'
+            WRITE(numout,*) '      frequency of trends diagnostics   nn_trd             = ', nn_trd
+            WRITE(numout,*) '      control surface type              nn_ctls            = ', nn_ctls
+            WRITE(numout,*) '      restart for ML diagnostics        ln_trdmld_restart  = ', ln_trdmld_restart
+            WRITE(numout,*) '      instantaneous or mean ML T/S      ln_trdmld_instant  = ', ln_trdmld_instant
+            WRITE(numout,*) '      unit conversion factor            rn_ucf             = ', rn_ucf
         ENDIF
       ENDIF
Index: trunk/NEMO/OPA_SRC/TRD/trdmod_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdmod_oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRD/trdmod_oce.F90	(revision 1601)
@@ -13,8 +13,8 @@
    PUBLIC
 
-   !!* Namelist namtrd:  diagnostics on dynamics/tracer trends
-   INTEGER , PUBLIC  ::   ntrd  = 10                      !: time step frequency dynamics and tracers trends
-   INTEGER , PUBLIC  ::   nctls =  0                      !: control surface type for trends vertical integration
-   REAL(wp), PUBLIC  ::   ucf   = 1.                      !: unit conversion factor (for netCDF trends outputs)
+   !                                                     !!* Namelist namtrd:  diagnostics on dynamics/tracer trends *
+   INTEGER , PUBLIC  ::   nn_trd  = 10                    !: time step frequency dynamics and tracers trends
+   INTEGER , PUBLIC  ::   nn_ctls =  0                    !: control surface type for trends vertical integration
+   REAL(wp), PUBLIC  ::   rn_ucf   = 1.                   !: unit conversion factor (for netCDF trends outputs)
                                                           !: =1. (=86400.) for degC/s (degC/day) and psu/s (psu/day)
    CHARACTER(len=32) ::   cn_trdrst_in  = "restart_mld"   !: suffix of ocean restart name (input)
@@ -23,5 +23,4 @@
    LOGICAL , PUBLIC  ::   ln_trdmld_restart = .FALSE.     !: flag to restart mixed-layer diagnostics
 
-   !!* Control parameters
 # if defined key_trdtra   ||   defined key_trdmld
    LOGICAL , PUBLIC ::   l_trdtra = .TRUE.              !: tracers  trend flag
@@ -35,5 +34,5 @@
 # endif
 
-   !!* Active tracers trends indexes
+   !                                                   !!! Active tracers trends indexes
    INTEGER, PUBLIC, PARAMETER ::   jptra_trd_xad =  1   !: x- horizontal advection
    INTEGER, PUBLIC, PARAMETER ::   jptra_trd_yad =  2   !: y- horizontal advection
@@ -49,5 +48,5 @@
    INTEGER, PUBLIC, PARAMETER ::   jptra_trd_atf = 12   !: Asselin correction
    
-   !!* Momentum trends indexes
+   !                                                   !!! Momentum trends indexes
    INTEGER, PUBLIC, PARAMETER ::   jpdyn_trd_hpg =  1   !: hydrostatic pressure gradient 
    INTEGER, PUBLIC, PARAMETER ::   jpdyn_trd_keg =  2   !: kinetic energy gradient
@@ -64,5 +63,5 @@
 
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
Index: trunk/NEMO/OPA_SRC/TRD/trdvor.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdvor.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRD/trdvor.F90	(revision 1601)
@@ -409,5 +409,5 @@
       itmod = kt - nit000 + 1
 
-      IF( MOD( it, ntrd ) == 0 ) THEN
+      IF( MOD( it, nn_trd ) == 0 ) THEN
 
          ! III.1 compute total trend
@@ -456,5 +456,5 @@
       IF( kt >=  nit000+1 ) THEN
 
-         IF( lwp .AND. MOD( itmod, ntrd ) == 0 ) THEN
+         IF( lwp .AND. MOD( itmod, nn_trd ) == 0 ) THEN
             WRITE(numout,*) ''
             WRITE(numout,*) 'trd_vor : write trends in the NetCDF file at kt = ', kt
@@ -483,5 +483,5 @@
       ENDIF
       !
-      IF( MOD( it, ntrd ) == 0 ) rotot(:,:)=0
+      IF( MOD( it, nn_trd ) == 0 ) rotot(:,:)=0
       !
       IF( kt == nitend )   CALL histclo( nidvor )
@@ -551,5 +551,5 @@
       clop = "ave("//TRIM(clop)//")"
 #endif
-      zout = ntrd*rdt
+      zout = nn_trd*rdt
 
       IF(lwp) WRITE(numout,*) '               netCDF initialization'
@@ -566,5 +566,5 @@
       ! II.3 Define the T grid trend file (nidvor)
       ! ---------------------------------
-      CALL dia_nam( clhstnam, ntrd, 'vort' )                  ! filename
+      CALL dia_nam( clhstnam, nn_trd, 'vort' )                  ! filename
       IF(lwp) WRITE(numout,*) ' Name of NETCDF file ', clhstnam
       CALL histbeg( clhstnam, jpi, glamf, jpj, gphif,1, jpi,   &  ! Horizontal grid : glamt and gphit
Index: trunk/NEMO/OPA_SRC/ZDF/zdf_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 1601)
@@ -18,5 +18,5 @@
 #endif
 
-   !                                           !!* namelist nam_zdf: vertical diffusion *
+   !                                           !!* namelist namzdf: vertical diffusion *
    REAL(wp), PUBLIC ::   rn_avm0   = 1.e-4_wp   !: vertical eddy viscosity (m2/s)
    REAL(wp), PUBLIC ::   rn_avt0   = 1.e-5_wp   !: vertical eddy diffusivity (m2/s)
